/* ==================================================================   
 * $Id: codetemplates.xml,v 1.1 2006/04/24 09:18:57 饶国发 Exp $ 
 * Created [2014-9-20 上午10:42:56] by 饶国发 
 * ==================================================================  
 * qrzk 
 * ================================================================== 
 * qrzk  License v1.0  
 * Copyright (c) Wuhan G-Soft Technology CO.,LTD., 2010-2012 
 * ================================================================== 
 * 武汉威鹏科技有限公司拥有该文件的使用、复制、修改和分发的许可权
 * 如果你想得到更多信息，请访问 <http://www.wptech.net.cn>
 *
 * Wuhan WP-Soft Technology CO.,LTD. owns permission to use, copy, modify and 
 * distribute this documentation.
 * For more information on qrzk, please 
 * see <http://www.wptech.net.cn>.  
 * ================================================================== 
 */

package com.qmth.qrzk.repository.pager.model;

import java.util.Date;
import java.util.List;

import com.qmth.qrzk.repository.user.model.QuestionType;

/**
 * <p> PagerConstructQtype.java </p>
 * <p>试卷大题表
 * </p>
 * @author $Author: 饶国发 $
 * @version $Revision: V5.1 $
 */
public class PagerConstructQtype {
    private Integer id;             //id
    private String name;        //大题名称
    private Integer pagerConstructId;//试卷ID
    private Integer questionTypeId;//大题的题型
    private Integer sortNo;//序号，题号
    private Integer questionSum;//小题总数
    private Double score;//每题分数；
    private Double questionScores;       //小题总分数
    private String remark;//	题型说明
    private Date createdTime;  //创建日期
    private Integer createdBy;                      //创建人
    private Date updatedTime;					//最近更新时间
    private Integer updatedBy;						//最近更新人
    private List<PagerConstructDetail> constructDetails;//试卷里面的试题详情
    private QuestionType questionType;
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
    
    public Integer getId() {
        return id;
    }
    public void setId(Integer id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public Integer getPagerConstructId() {
        return pagerConstructId;
    }
    public void setPagerConstructId(Integer pagerConstructId) {
        this.pagerConstructId = pagerConstructId;
    }
    public Integer getQuestionTypeId() {
        return questionTypeId;
    }
    public void setQuestionTypeId(Integer questionTypeId) {
        this.questionTypeId = questionTypeId;
    }
    public Integer getSortNo() {
        return sortNo;
    }
    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }
	public List<PagerConstructDetail> getConstructDetails() {
		return constructDetails;
	}
	public void setConstructDetails(List<PagerConstructDetail> constructDetails) {
		this.constructDetails = constructDetails;
	}
    public Integer getQuestionSum() {
        return questionSum;
    }
    public void setQuestionSum(Integer questionSum) {
        this.questionSum = questionSum;
    }
    public Double getQuestionScores() {
        return questionScores;
    }
    public void setQuestionScores(Double questionScores) {
        this.questionScores = questionScores;
    }
	public Date getCreatedTime() {
		return createdTime;
	}
	public void setCreatedTime(Date createdTime) {
		this.createdTime = createdTime;
	}
	public Integer getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(Integer createdBy) {
		this.createdBy = createdBy;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
    public Double getScore() {
        return score;
    }
    public void setScore(Double score) {
        this.score = score;
    }
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public QuestionType getQuestionType() {
		return questionType;
	}
	public void setQuestionType(QuestionType questionType) {
		this.questionType = questionType;
	}
	
}

	